Skip to main content
PATCH
/
v0
/
accounts
/
{account_id}
Update account by ID
curl --request PATCH \
  --url https://api.tryarchitect.com/v0/accounts/{account_id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "name": "<string>"
}
'
{
  "accountId": "<string>",
  "tenantId": "<string>",
  "domain": "<string>",
  "name": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "latestActivityAt": "2023-11-07T05:31:56Z",
  "linkedProspects": [
    {
      "prospectId": "<string>",
      "tenantId": "<string>",
      "name": "<string>",
      "email": "<string>",
      "domain": "<string>",
      "slug": "<string>",
      "phoneNumber": "<string>",
      "linkedinProfileUrl": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

x-api-key
string
header
required

API key authentication for the External Actor Gateway

Path Parameters

account_id
string
required

account_id parameter

Body

application/json
name
string
required

New account name

Required string length: 1 - 255

Response

200 - application/json

Successful operation

accountId
string
required

Account ID

Minimum string length: 1
Pattern: ^account_[a-z0-9]{26}$
tenantId
string
required

Tenant ID that owns the account

domain
string
required
Minimum string length: 1
name
string | null
required
Required string length: 1 - 255
createdAt
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
updatedAt
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
latestActivityAt
string<date-time> | null
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
linkedProspects
object[]
required